html { 
  height: 100%; 
}

body {
  height: 100%;
  overflow: hidden;
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  font-size: 18px;
  line-height: 18px;
  background: #000;
  /* background: hsl(211, 4%, 70%); */
  /*background: -webkit-radial-gradient(
    10% 10%,
    circle farthest-corner,
    rgba(44, 115, 179, 1)   0%,
    rgba(20, 65, 122, 1)  100%
  );*/
}

#viewport {
  position: absolute;
  top: 0;
  left: 0;
  height: calc(100% - 22px);
  width: 100%;
}

.bar {
  position: fixed;
  background: #000;
}

.bar-top {
  bottom: 0;
  height: 22px;
  width: 100%;
  vertical-align: middle;
  line-height: 22px;
  box-shadow: -1px -1px 1px 1px hsla(0, 0%, 0%, 0.3);
  z-index: 10000;
}

.bar-group {
  display: inline-block;
}

.bar-group-right {
  position: absolute;
  right: 0;
  top: 0;
}

.bar li {
  display: inline-block;
  vertical-align: middle;
}

.bar a,
.bar label
{
  display: block;
  text-decoration: none;
  color: #eee;
  border-radius: 2px;
  line-height: 22px;
  vertical-align: middle;
  height: 22px;
}

.bar a:active,
.bar a.active
{
  background: rgb(200, 50, 50);
  color: yellow;
}

.control-group {
  background: #eee;
  font: bold 12px/12px sans-serif;
}

.control-group a {
  text-decoration: none;
  color: #000;
  display: inline-block;
  border-radius: 2px;
  padding: 0;
  line-height: 22px;
  vertical-align: middle;
  height: 22px;
}

#other-controls { top: 0; right: 0; }
#main-controls { bottom: 0; right: 0; }
#left-controls { bottom: 0; left: 0; width:200px; }

